
local assets=
{
    Asset("ANIM", "anim/disc.zip"),
	 
    Asset("ATLAS", "images/inventoryimages/PIB.xml"), --EDIT
    Asset("IMAGE", "images/inventoryimages/PIB.tex"), --EDIT
	
	Asset("SOUNDPACKAGE", "sound/PIB.fev"),    --EDIT
    Asset("SOUND", "sound/PIB_bank75.fsb"),    --EDIT
}

local function Play(inst)
inst.jukebox = 	GetClosestInstWithTag("jukebox", inst, 10)
	--inst.jukebox = TheSim:FindFirstEntityWithTag("jukebox")
	
	if inst.jukebox then
		if inst.components.inventoryitem:GetContainer() == inst.jukebox.components.container then
		--if inst.jukebox.components.container:IsEmpty() == false then	
   	
			if inst.a ~= inst.jukebox.components.machine:IsOn() then
			
				inst.jukebox.AnimState:PlayAnimation("play_loop", true)	
				
				if inst.jukebox.components.machine:IsOn() then
	     
					inst.SoundEmitter:PlaySound(inst.song, "track")    
				
				else
	    
					inst.jukebox.AnimState:PlayAnimation("idle")
					inst.SoundEmitter:PlaySound("dontstarve/music/gramaphone_end")
					inst.SoundEmitter:KillSound("track")      
				end 
			end
		
			if  inst.b ~= inst.jukebox.up then	
				
				if inst.jukebox.up == false then
				
					inst.SoundEmitter:SetVolume("track", 0.1)
	   
				else
	   	   
					inst.SoundEmitter:SetVolume("track", 1)
				
				end
	   
	   
			
			end
	
	inst.a = inst.jukebox.components.machine:IsOn()
	inst.b = inst.jukebox.up
		elseif
		inst.jukebox.components.container:IsEmpty() then    
		inst.jukebox.AnimState:PlayAnimation("idle")
		end
	end
end
 
local function fn()
  
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    local sound = inst.entity:AddSoundEmitter()
    MakeInventoryPhysics(inst)
    anim:SetBank("disc")
    anim:SetBuild("disc")
    anim:PlayAnimation("idle")
 
    inst:AddComponent("inspectable")
     
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "PIB"  --EDIT
    inst.components.inventoryitem.atlasname = "images/inventoryimages/PIB.xml"  --EDIT
    
	inst:AddTag("disc")
    
	inst.song = "PIB/jukebox/track"      --EDIT
	
	inst:DoPeriodicTask(1, Play)
	    
	return inst     
end

local PIB = Recipe("PIB", { Ingredient("goldnugget", 1)}, RECIPETABS.MUSIC, TECH.SCIENCE_ONE )   --EDIT
      PIB.atlas = "images/inventoryimages/PIB.xml"  --EDIT

		

return  Prefab("common/inventory/pib", fn, assets, nil)    --EDIT